Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deSolidObject.cpp File Reference

scenegraph additive object More...

`#include "deScene_priv.hpp"`
`#include "deMath.hpp"`
`#include "deCamera.hpp"`
`#include "dePortal.hpp"`
`#include "deRender.hpp"`
`#include "deRenderStates.hpp"`
`#include "deByteOrder.hpp"`
`#include "deAnimatedMesh.hpp"`
`#include "deMesh.hpp"`

Include dependency graph for deSolidObject.cpp:

## Compounds
struct | deSceneObject_Header_t
## Functions
| WorldObjectClassImp (deSceneAnimatedMesh)
deBoolean | IdeSceneObject_Initialize ()
void | IdeSceneObject_ShutDown ()
long | IdeSceneObject_GetWOInterfaceID ()
| Get the IdeSceneObject WorldObject interface ID.
DESCENE_API IdeSceneAnimatedMesh * | IdeSceneObject_CreateSceneAnimatedMesh ()
DESCENE_API IdeSceneActor * | IdeSceneObject_CreateSceneActor ()
| create an instance of IdeSceneActor
DESCENE_API IdeSceneStaticMesh * | IdeSceneObject_CreateSceneStaticMesh ()
| create an instance of IdeSceneStaticMesh
DESCENE_API IdeSceneLight * | IdeSceneObject_CreateSceneLight ()
| create an instance of IdeSceneLight
## Variables
IdeSceneLight * | s_TestLight = NULL
IdeSceneLight * | s_TestLight2 = NULL
IdeSceneLight * | s_TestLightBright = NULL
long | s_SceneObjectWOInterfaceID = -1
const deSceneObject_Header_t | deSceneObject_Header = {0,2}

## Detailed Description

scenegraph additive object

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Oct 2002

Author:
  Assassin

Remarks:
  Creation

## Function Documentation

DESCENE_API IdeSceneActor* IdeSceneObject_CreateSceneActor | ( |  | ) |

| create an instance of IdeSceneActor

DESCENE_API IdeSceneAnimatedMesh* IdeSceneObject_CreateSceneAnimatedMesh | ( |  | ) |

DESCENE_API IdeSceneLight* IdeSceneObject_CreateSceneLight | ( |  | ) |

| create an instance of IdeSceneLight

DESCENE_API IdeSceneStaticMesh* IdeSceneObject_CreateSceneStaticMesh | ( |  | ) |

| create an instance of IdeSceneStaticMesh

long IdeSceneObject_GetWOInterfaceID | ( |  | ) |

| Get the IdeSceneObject WorldObject interface ID.

deBoolean IdeSceneObject_Initialize | ( |  | ) |

void IdeSceneObject_ShutDown | ( |  | ) |

WorldObjectClassImp | ( | deSceneAnimatedMesh |  | ) |

## Variable Documentation

const deSceneObject_Header_t deSceneObject_Header = {0,2}`[static]`

long s_SceneObjectWOInterfaceID = -1`[static]`

IdeSceneLight* s_TestLight = NULL

IdeSceneLight* s_TestLight2 = NULL

IdeSceneLight* s_TestLightBright = NULL